# TdApi.LoginUrlInfoOpen (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: LoginUrlInfoOpen

Package it.tdlight.jni

# Class TdApi.LoginUrlInfoOpen

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LoginUrlInfo
it.tdlight.jni.TdApi.LoginUrlInfoOpen

Enclosing class:
  TdApi

    public static class TdApi.LoginUrlInfoOpen
    extends TdApi.LoginUrlInfo

An HTTP url needs to be open.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `skipConfirm` | True, if there is no need to show an ordinary open URL confirm.
`String` | `url` | The URL to open.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LoginUrlInfoOpen()` | An HTTP url needs to be open.
`LoginUrlInfoOpen​(DataInput input)` |
`LoginUrlInfoOpen​(String url, boolean skipConfirm)` | An HTTP url needs to be open.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
The URL to open.

### skipConfirm

public boolean skipConfirm
True, if there is no need to show an ordinary open URL confirm.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### LoginUrlInfoOpen

public LoginUrlInfoOpen()
An HTTP url needs to be open.

### LoginUrlInfoOpen

public LoginUrlInfoOpen​(String url, boolean skipConfirm)
An HTTP url needs to be open.

Parameters:
  `url` - String The URL to open.
  `skipConfirm` - boolean True, if there is no need to show an ordinary open URL confirm.

### LoginUrlInfoOpen

public LoginUrlInfoOpen​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`